package com.docus.bgts.enums;

/**
 * 代码库
 */
public enum Codes {
    //接口成功
    SUCCESS("1", "成功"),
    //接口失败
    ERROR("0", "失败"),
    //web service返回根节点
    RESPONSE("100","Response"),
    //web service返回二级节点
    RET_INFO("101","Result"),
    //web service 返回代码
    RET_CODE("102","Code"),
    //web service返回描述部分
    RET_CON("103","Msg"),
    //静态文件存放位置
    JSON_ADDRESS("999","\\dataConfig\\homeQualitySet.json"),
    //接收二级节点
    MSG("201","Msg"),
    //节点根
    DIRECTORY("1000","directory"),
    //上传接口地址
    UPLOAD("0","uploadConnector"),
    REPOAL("0","repoalConnector"),
    //患者主索引号
    EMP_ID("0","indexFlag"),
    //错误日志编号
    ERROR_CODE("500","12"),
    //接收三级节点
//    PAT_INFO("202","PatInfo"),
    //静态文件根元素名
    SELECT_COLUMNS("10000","selectColumns")
    ;
    //代码
    private String code;
    //描述
    private String message;

    private Codes(String code, String messgae) {
        this.code = code;
        this.message = messgae;
    }

    public String getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
